<%=
  component_wrapper do
    primer_form_with(
      model: @meeting_outcome,
      method: @method,
      url: @submit_path
    ) do |f|
      flex_layout(tag: :div) do |flex|
        flex.with_row(
          mb: 2,
          data: wrapper_data_attributes
        ) do
          render(MeetingAgendaItem::Outcome::Notes.new(f))
        end

        flex.with_row do
          flex_layout(justify_content: :flex_end) do |row|
            row.with_column(mr: 2) do
              render(
                Primer::Beta::Button.new(
                  scheme: :secondary,
                  tag: :a,
                  href: @cancel_path,
                  data: { "turbo-stream": true }
                )
              ) do |_c|
                t("button_cancel")
              end
            end
            row.with_column do
              render(MeetingAgendaItem::Outcome::Submit.new(f))
            end
          end
        end
      end
    end
  end
%>
